
<div *ngIf="memberPoolData && asset" class="pool-list-item">

  <div class="flex justify-between items-center">

    <app-icon-ticker [iconPath]="asset.iconPath" [ticker]="asset.ticker"></app-icon-ticker>

    <button (click)="toggleExpanded()" class="text-white" mat-icon-button>
      <mat-icon>expand_more</mat-icon>
    </button>

  </div>

  <div [hidden]="!expanded" class="staked-data-details">
    <div *ngIf="pooledCacao" class="flex justify-between pool-detail-row">
      <span>Pooled CACAO</span>
      <span>{{pooledCacao | number:"0.0-6"}}</span>
    </div>
    <div *ngIf="pooledAsset" class="flex justify-between pool-detail-row">
      <span>Pooled {{asset.ticker}}</span>
      <span>{{pooledAsset | number:"0.0-6"}}</span>
    </div>
    <div *ngIf="poolShare" class="flex justify-between pool-detail-row">
      <span>Pool Share</span>
      <span>{{poolShare | percent:"0.0-6"}}</span>
    </div>


    <div class="flex justify-between">
      <a *ngIf="!depositsDisabled" mat-flat-button class="w-1/2" color="primary" [routerLink]="['/', 'deposit', asset.chain + '.' + asset.symbol]">Deposit</a>
      <span *ngIf="!depositsDisabled" class="w-2"></span>
      <a mat-flat-button [ngClass]="{'w-1/2' : !depositsDisabled, 'w-full' : depositsDisabled}" color="primary" [routerLink]="['/', 'withdraw', asset.chain + '.' +  asset.symbol]">Withdraw</a>
    </div>
  </div>

</div>

